Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001255 [Piwigo] database minor have not tried 2009.11.20 16:13 2010.04.14 17:11
Reporter nikrou View Status public  
Assigned To nikrou
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC1 Product Version
  Target Version 2.1.0RC1 Product Build
Summary 0001255: Allow to use different database engine.
Description all mysql function have been almost removed from piwigo core code.
The idea is to propose others database engine on installation.
Some sql code will be sanitize and improved to allow that.

Discussion on forum :
http://piwigo.org/forum/post.php?tid=15500 [^]
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships
parent of 0000511closednikrou Another db than MySQL 

-  Notes
(0003099)
svn (reporter)
2009.11.21 13:15

[Subversion] r4331 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : improve sql
Replace in queries LIMIT N,M by LIMIT N OFFSET M
(0003102)
svn (reporter)
2009.11.21 20:52

[Subversion] r4334 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : limit params in sql queries were in wrong order (LIMIT count OFFSET offset)
(0003130)
svn (reporter)
2009.11.25 20:03

[Subversion] r4367 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255: modification in sql queries
    - manage random function
    - manage regex syntax
    - manage quote (single instead of double)
    - manage interval
(0003139)
svn (reporter)
2009.11.29 15:08

[Subversion] r4388 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 :
misspelled function
parenthesis missing
(0003155)
svn (reporter)
2009.11.30 21:41

[Subversion] r4398 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 :
sql functions for calendar (interval, year, month, ...)
(0003163)
svn (reporter)
2009.12.02 21:27

[Subversion] r4410 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 :
- add postgres database engine
- change installation process to allow postgres or mysql database
(0003174)
svn (reporter)
2009.12.04 19:59

[Subversion] r4423 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : migration script
(0003181)
plg (manager)
2009.12.05 00:32
edited on: 2009.12.05 00:32

nikrou, for the migration script, in case or $error_copy, can you display a textarea instead of a text in the middle of other text? (it will make copy/paste easier for users)

(0003182)
nikrou (developer)
2009.12.05 15:03

> nikrou, for the migration script, in case or $error_copy, can you display a textarea instead of a text in the middle of other text? (it will make copy/paste easier for users)

I think a better improvement will be to force download of that file. By this way, no problem of copy/paste with surnumeral blanks or such kinds of problem.

We can make a link and also propose to copy/paste. I think this feature is resolved and that one is independant and a new one can be opened !
(0003187)
svn (reporter)
2009.12.06 22:17

[Subversion] r4433 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : file not needed. Job is done is install.php
(0003270)
svn (reporter)
2009.12.21 16:11

[Subversion] r4542 by rub on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255: modification in sql queries
correction
(0003283)
rub (developer)
2009.12.28 12:43

Comments on pictures pages don't appear.

On include/picture_comment.inc.php, the query don't work.

mysql: 5.0.51

    $query = '
SELECT com.id,author,author_id,'.$conf['user_fields']['username'].' AS username,
  date,image_id,content,validated
  FROM '.COMMENTS_TABLE.' AS com
  LEFT JOIN '.USERS_TABLE.' AS u
    ON u.'.$conf['user_fields']['id'].' = author_id
  WHERE image_id = '.$page['image_id'].
$validated_clause.'
  ORDER BY date ASC
  LIMIT '.$page['start'].' OFFSET '.$conf['nb_comment_page'].'
;';
(0003299)
nikrou (developer)
2010.01.03 10:58

Fix [Subversion] r4607
(0003396)
svn (reporter)
2010.02.13 22:27

[Subversion] r4886 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : bug in pwg_session_write() with postgresql.
replace into doesn't exists. Must do two queries
(0003399)
svn (reporter)
2010.02.15 20:51

[Subversion] r4892 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 :
update pwg_db_insert_id() function.
PosgreSQL needs table name to retrieve last insert auto increment id.
(0003426)
svn (reporter)
2010.02.21 18:27

[Subversion] r4929 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : missing quotes in concat function for mysql
(0003462)
svn (reporter)
2010.02.28 22:11

[Subversion] r5006 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 : bug in install with mysql and postgresql if some form parameters are missing.
(0003575)
svn (reporter)
2010.03.21 18:20

[Subversion] r5220 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1255: set mysql as default engine.
(0003576)
Pat (developer)
2010.03.21 18:24

During install with mysql, if parameters are wrong, installation die.
pwg_db_connect function never return false.
(0003577)
Pat (developer)
2010.03.21 18:41

I purpose:

function pwg_db_connect($host, $user, $password, $database)
{
  $link = mysql_connect($host, $user, $password) or my_error('mysql_connect', false);
  $connect = mysql_select_db($database, $link) or my_error('mysql_select_db', false);

  return $connect ? $link : false;
}

And in install.php, code ob_start() and ao_end_clean() before and after database check.
(0003578)
svn (reporter)
2010.03.21 22:15

[Subversion] r5230 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1255: add pwg_select_db function.
(0003585)
svn (reporter)
2010.03.21 23:51

[Subversion] r5236 by nikrou on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1255 :
only one function
use exceptions to deal with differents possible errors
(0003586)
svn (reporter)
2010.03.22 00:41

[Subversion] r5239 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1255: Move $conf['db_sqlite_default'] and $conf['dbengine_select_default'] in install.php (as constants).
PDO::SQLite is now displayed as SQLite in install page.
Always display unique SQLite engine.

- Issue History
Date Modified Username Field Change
2009.11.20 16:13 nikrou New Issue
2009.11.20 16:13 nikrou Status new => assigned
2009.11.20 16:13 nikrou Assigned To => nikrou
2009.11.20 16:13 nikrou browser => any
2009.11.20 16:13 nikrou Web server => Apache 1.3.x
2009.11.21 13:15 svn Checkin
2009.11.21 13:15 svn Note Added: 0003099
2009.11.21 20:52 svn Checkin
2009.11.21 20:52 svn Note Added: 0003102
2009.11.25 20:03 svn Checkin
2009.11.25 20:03 svn Note Added: 0003130
2009.11.29 15:08 svn Checkin
2009.11.29 15:08 svn Note Added: 0003139
2009.11.30 21:41 svn Checkin
2009.11.30 21:41 svn Note Added: 0003155
2009.12.02 21:27 svn Checkin
2009.12.02 21:27 svn Note Added: 0003163
2009.12.04 19:59 svn Checkin
2009.12.04 19:59 svn Note Added: 0003174
2009.12.05 00:32 plg Note Added: 0003181
2009.12.05 00:32 plg Note Edited: 0003181
2009.12.05 15:03 nikrou Note Added: 0003182
2009.12.06 22:17 svn Checkin
2009.12.06 22:17 svn Note Added: 0003187
2009.12.06 22:22 nikrou Status assigned => resolved
2009.12.06 22:22 nikrou Resolution open => fixed
2009.12.21 16:11 svn Checkin
2009.12.21 16:11 svn Note Added: 0003270
2009.12.21 19:08 mathiasm Relationship added parent of 0000511
2009.12.28 12:43 rub Note Added: 0003283
2009.12.28 12:43 rub Status resolved => feedback
2009.12.28 12:43 rub Resolution fixed => reopened
2010.01.03 10:58 nikrou Note Added: 0003299
2010.01.03 10:58 nikrou Status feedback => resolved
2010.01.03 10:58 nikrou Resolution reopened => fixed
2010.02.13 22:27 svn Checkin
2010.02.13 22:27 svn Note Added: 0003396
2010.02.15 20:51 svn Checkin
2010.02.15 20:51 svn Note Added: 0003399
2010.02.21 18:27 svn Checkin
2010.02.21 18:27 svn Note Added: 0003426
2010.02.28 22:11 svn Checkin
2010.02.28 22:11 svn Note Added: 0003462
2010.03.21 18:20 svn Checkin
2010.03.21 18:20 svn Note Added: 0003575
2010.03.21 18:24 Pat Note Added: 0003576
2010.03.21 18:24 Pat Status resolved => feedback
2010.03.21 18:24 Pat Resolution fixed => reopened
2010.03.21 18:41 Pat Note Added: 0003577
2010.03.21 22:15 svn Checkin
2010.03.21 22:15 svn Note Added: 0003578
2010.03.21 23:51 svn Checkin
2010.03.21 23:51 svn Note Added: 0003585
2010.03.22 00:41 svn Checkin
2010.03.22 00:41 svn Note Added: 0003586
2010.03.22 21:02 nikrou Status feedback => resolved
2010.03.22 21:02 nikrou Resolution reopened => fixed
2010.04.14 17:11 plg Status resolved => closed
2010.04.14 17:11 plg Fixed in Version => 2.1.0RC1
2010.04.14 17:11 plg Target Version => 2.1.0RC1


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker